Assets
Get 5 Least Common Ports
The least frequently found open ports in the organization
GET
/
v1
/
{org_uid}
/
metrics
/
ports
/
unique
Returns top-5 most unique (least-common) ports
curl --request GET \
--url https://client.synack.com/api/streaming/v1/{org_uid}/metrics/ports/unique \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/streaming/v1/{org_uid}/metrics/ports/unique"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/streaming/v1/{org_uid}/metrics/ports/unique', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": "<unknown>",
"id": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
},
"meta": "<unknown>",
"relationships": {}
},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}
],
"included": [
"<unknown>"
],
"links": {
"next": "<string>",
"prev": "<string>"
},
"meta": "<unknown>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization UID
Query Parameters
Listing UID. If false is provided, it will return count of assets that does not belong to any listing nor seed group
Seed group UID
⌘I
Returns top-5 most unique (least-common) ports
